com.google.gwt.user.cellview.client

## Class DefaultHeaderOrFooterBuilder<T>

- java.lang.Object
- - com.google.gwt.user.cellview.client.AbstractHeaderOrFooterBuilder<T>
  - - com.google.gwt.user.cellview.client.DefaultHeaderOrFooterBuilder<T>

Type Parameters:
  `T` - the data type of the table

All Implemented Interfaces:
  FooterBuilder<T>, HeaderBuilder<T>

    public class DefaultHeaderOrFooterBuilder<T>
    extends AbstractHeaderOrFooterBuilder<T>

Default implementation of `HeaderBuilder` that renders columns.

### Constructor Summary

Constructors
Constructor and Description
`DefaultHeaderOrFooterBuilder(AbstractCellTable<T> table, boolean isFooter)` Create a new DefaultHeaderBuilder for the header of footer section.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `buildHeaderOrFooterImpl()` Implementation that builds the header or footer using the convenience methods in this class.

### Methods inherited from class com.google.gwt.user.cellview.client.AbstractHeaderOrFooterBuilder

`buildFooter, buildHeader, enableColumnHandlers, getColumn, getHeader, getHeader, getRowIndex, getTable, isBuildingFooter, isColumn, isHeader, isSortIconStartOfLine, renderHeader, renderSortableHeader, setSortIconStartOfLine, startRow`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultHeaderOrFooterBuilder

    public DefaultHeaderOrFooterBuilder(AbstractCellTable<T> table,
                                        boolean isFooter)

Create a new DefaultHeaderBuilder for the header of footer section.

Parameters:
  `table` - the table being built
  `isFooter` - true if building the footer, false if the header

### Method Detail

#### buildHeaderOrFooterImpl

    protected boolean buildHeaderOrFooterImpl()

Description copied from class: `AbstractHeaderOrFooterBuilder`
Implementation that builds the header or footer using the convenience methods in this class.

Specified by:
  `buildHeaderOrFooterImpl` in class `AbstractHeaderOrFooterBuilder<T>`
Returns:
  true if the header contains content, false if empty